Home
last modified time | relevance | path

Searched refs:error (Results 1 – 25 of 72) sorted by relevance

123

/tools/testing/selftests/cpu-hotplug/
Don-off-test.sh130 error=-12
141 error=$OPTARG
158 if ! [ "$error" -ge -4095 -a "$error" -lt 0 ]; then
214 NOTIFIER_ERR_INJECT_DIR=$DEBUGFS/notifier-error-inject/cpu
220 /sbin/modprobe -q -r cpu-notifier-error-inject
221 /sbin/modprobe -q cpu-notifier-error-inject priority=$priority
229 echo $msg cpu-notifier-error-inject module is not available >&2
239 echo 0 > $NOTIFIER_ERR_INJECT_DIR/actions/CPU_DOWN_PREPARE/error
247 echo $error > $NOTIFIER_ERR_INJECT_DIR/actions/CPU_UP_PREPARE/error
255 echo 0 > $NOTIFIER_ERR_INJECT_DIR/actions/CPU_UP_PREPARE/error
[all …]
/tools/testing/selftests/memory-hotplug/
Don-off-test.sh116 error=-12
123 error=$OPTARG
138 if ! [ "$error" -ge -4095 -a "$error" -lt 0 ]; then
181 NOTIFIER_ERR_INJECT_DIR=$DEBUGFS/notifier-error-inject/memory
187 /sbin/modprobe -q -r memory-notifier-error-inject
188 /sbin/modprobe -q memory-notifier-error-inject priority=$priority
196 echo $msg memory-notifier-error-inject module is not available >&2
206 echo 0 > $NOTIFIER_ERR_INJECT_DIR/actions/MEM_GOING_OFFLINE/error
216 echo $error > $NOTIFIER_ERR_INJECT_DIR/actions/MEM_GOING_ONLINE/error
224 echo 0 > $NOTIFIER_ERR_INJECT_DIR/actions/MEM_GOING_ONLINE/error
[all …]
/tools/virtio/virtio-trace/
Dtrace-agent.c37 goto error; in get_total_cpus()
40 goto error; in get_total_cpus()
45 error: in get_total_cpus()
91 goto error; in parse_size()
94 goto error; in parse_size()
102 error: in parse_size()
119 goto error; in make_path()
132 goto error; in make_path()
137 error: in make_path()
163 goto error; in agent_info_init()
[all …]
Dtrace-agent-ctl.c41 goto error; in rw_ctl_init()
46 error: in rw_ctl_init()
75 goto error; in wait_order()
84 error: in wait_order()
111 goto error; in rw_ctl_loop()
135 error: in rw_ctl_loop()
Dtrace-agent-rw.c54 goto error; in rw_thread_init()
63 goto error; in rw_thread_init()
71 goto error; in rw_thread_init()
80 goto error; in rw_thread_init()
89 error: in rw_thread_init()
134 goto error; in rw_thread_main()
157 goto error; in rw_thread_main()
175 error: in rw_thread_main()
/tools/testing/selftests/efivarfs/
Dopen-unlink.c17 int error; in set_immutable() local
25 error = errno; in set_immutable()
27 errno = error; in set_immutable()
37 error = errno; in set_immutable()
39 errno = error; in set_immutable()
48 int error; in get_immutable() local
56 error = errno; in get_immutable()
58 errno = error; in get_immutable()
/tools/hv/
Dhv_fcopy_daemon.c42 int error = HV_E_FAIL; in hv_start_fcopy() local
86 error = HV_ERROR_ALREADY_EXISTS; in hv_start_fcopy()
98 error = 0; in hv_start_fcopy()
100 return error; in hv_start_fcopy()
132 int error; in main() local
175 error = hv_start_fcopy((struct hv_start_fcopy *)in_msg); in main()
178 error = hv_copy_data((struct hv_do_fcopy *)in_msg); in main()
181 error = hv_copy_finished(); in main()
184 error = hv_copy_cancel(); in main()
193 if (pwrite(fcopy_fd, &error, sizeof(int), 0) != sizeof(int)) { in main()
Dhv_vss_daemon.c66 int error = 0, root_seen = 0; in vss_operate() local
96 error |= vss_do_freeze(ent->mnt_dir, cmd, fs_op); in vss_operate()
101 error |= vss_do_freeze("/", cmd, fs_op); in vss_operate()
104 return error; in vss_operate()
137 int error; in main() local
172 error = bind(fd, (struct sockaddr *)&addr, sizeof(addr)); in main()
173 if (error < 0) { in main()
246 error = HV_S_OK; in main()
251 error = vss_operate(op); in main()
252 if (error) in main()
[all …]
Dhv_kvp_daemon.c882 int error = 0; in kvp_get_ip_info() local
954 error = kvp_process_ip_address( in kvp_get_ip_info()
961 if (error) in kvp_get_ip_info()
1000 error = kvp_process_ip_address(curp->ifa_addr, in kvp_get_ip_info()
1004 if (error) in kvp_get_ip_info()
1012 return error; in kvp_get_ip_info()
1107 int error = 0; in process_ip_string() local
1174 error = kvp_write_file(f, str, sub_str, addr); in process_ip_string()
1175 if (error) in process_ip_string()
1176 return error; in process_ip_string()
[all …]
/tools/power/acpi/tools/ec/
Dec_access.c179 int error; in read_ec_val() local
181 error = lseek(fd, byte_offset, SEEK_SET); in read_ec_val()
182 if (error != byte_offset) in read_ec_val()
185 error = read(fd, &buf, 1); in read_ec_val()
186 if (error != 1) in read_ec_val()
195 int error; in write_ec_val() local
197 error = lseek(fd, byte_offset, SEEK_SET); in write_ec_val()
198 if (error != byte_offset) in write_ec_val()
201 error = write(fd, &value, 1); in write_ec_val()
202 if (error != 1) in write_ec_val()
/tools/perf/util/
Dstrfilter.c93 goto error; in strfilter_node__new()
102 goto error; in strfilter_node__new()
111 goto error; in strfilter_node__new()
119 goto error; in strfilter_node__new()
124 goto error; in strfilter_node__new()
129 goto error; in strfilter_node__new()
140 goto error; in strfilter_node__new()
145 error: in strfilter_node__new()
Dstring.c174 goto error; in __match_charclass()
180 goto error; in __match_charclass()
187 goto error; in __match_charclass()
191 error: in __match_charclass()
Dalias.c59 return error("cmdline ends with \\"); in split_cmdline()
71 return error("unclosed quote"); in split_cmdline()
Dvdso.c22 bool error; member
85 if (vdso_file->error || find_vdso_map(&start, &end)) in get_file()
107 vdso_file->error = !vdso_file->found; in get_file()
Dprobe-event.c333 goto error; in find_perf_probe_point_from_dwarf()
337 goto error; in find_perf_probe_point_from_dwarf()
342 goto error; in find_perf_probe_point_from_dwarf()
361 error: in find_perf_probe_point_from_dwarf()
583 goto error; in __show_one_line()
595 error: in __show_one_line()
1390 goto error; in synthesize_perf_probe_arg()
1401 goto error; in synthesize_perf_probe_arg()
1410 goto error; in synthesize_perf_probe_arg()
1416 error: in synthesize_perf_probe_arg()
[all …]
Dparse-options.c12 return error("switch `%c' %s", opt->short_name, reason); in opterror()
14 return error("option `no-%s' %s", opt->long_name, reason); in opterror()
15 return error("option `%s' %s", opt->long_name, reason); in opterror()
292 return error("Ambiguous option: %s " in parse_long_opt()
310 error ("did you mean `--%s` (with two dashes ?)", arg); in check_typos()
318 error ("did you mean `--%s` (with two dashes ?)", arg); in check_typos()
479 error("unknown option `%s'", ctx.argv[0] + 2); in parse_options_subcommand()
481 error("unknown switch `%c'", *ctx.opt); in parse_options_subcommand()
/tools/perf/scripts/perl/
Drw-by-pid.pl102 foreach my $error (keys %{$reads{$pid}{errors}}) {
104 my $errcount = $reads{$pid}{errors}{$error} || 0;
105 push @errcounts, [$pid, $comm, $error, $errcount];
142 foreach my $error (keys %{$writes{$pid}{errors}}) {
144 my $errcount = $writes{$pid}{errors}{$error} || 0;
145 push @errcounts, [$pid, $comm, $error, $errcount];
/tools/virtio/linux/
Derr.h7 static inline void * __must_check ERR_PTR(long error) in ERR_PTR() argument
9 return (void *) error; in ERR_PTR()
/tools/perf/ui/
Dutil.c24 .error = perf_stdio__error,
37 ret = perf_eops->error(format, args); in ui__error()
Dutil.h14 int (*error)(const char *format, va_list args); member
/tools/perf/config/feature-checks/
Dtest-libpython-version.c4 #error
Dtest-gtk2.c3 #pragma GCC diagnostic error "-Wstrict-prototypes"
Dtest-gtk2-infobar.c3 #pragma GCC diagnostic error "-Wstrict-prototypes"
/tools/virtio/asm/
Dbarrier.h12 #error Please fill in barrier macros
/tools/scripts/
DMakefile.include3 dummy := $(if $(shell test -d $(O) || echo $(O)),$(error O=$(O) does not exist),)
16 $(if $(OUTDIR),, $(error output directory "$(OUTPUT)" does not exist))

123